### Method

# FwupdPlugin DeviceEvent set_str

#### Declaration [src]

    void
    fu_device_event_set_str (
      FuDeviceEvent* self,
      const gchar* key,
      const gchar* value
    )

#### Description [src]

Sets a string value on the event.

Available since: | 2.0.0

#### Parameters

`key` | `const gchar*`
| A unique key, e.g. `Name`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `const gchar*`
| A string.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.